Upgrading from 0.9 to 0.9.1 -- Do I need to update firmware

This is where you talk about the NXJ software itself, installation issues, and programming talk.

Moderators: 99jonathan, roger, imaqine

Upgrading from 0.9 to 0.9.1 -- Do I need to update firmware

Postby afourney » Mon Feb 27, 2012 4:17 pm

Quick question: I just installed version 0.9 in January, and now I would like to write code using the 0.9.1 API. Do I need to update the NXT firmware, or can I simply start using the new libraries at compile time?

I'd like to limit the number of times I reflash the firmware (due to those fuses etc.)
afourney
New User
 
Posts: 2
Joined: Mon Feb 27, 2012 4:13 pm

Re: Upgrading from 0.9 to 0.9.1 -- Do I need to update firmw

Postby skoehler » Mon Feb 27, 2012 4:22 pm

Please upgrade the firmware. Programs compiled and linked with 0.9.1 will not work properly on an NXT running leJOS 0.9.0.
skoehler
leJOS Team Member
 
Posts: 1349
Joined: Thu Oct 30, 2008 4:54 pm

Re: Upgrading from 0.9 to 0.9.1 -- Do I need to update firmw

Postby afourney » Mon Feb 27, 2012 4:30 pm

Will do.

Thanks for the speedy reply.
afourney
New User
 
Posts: 2
Joined: Mon Feb 27, 2012 4:13 pm


Return to NXJ Software

Who is online

Users browsing this forum: Baidu [Spider] and 1 guest

more stuff